gio-0.13.1.0: Binding to the GIO.

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.Enums

Contents

- Enums

Description

Synopsis

- data FileQueryInfoFlags
  - = FileQueryInfoNone
  - | FileQueryInfoNofollowSymlinks
- data FileCreateFlags
  - = FileCreateNone
  - | FileCreatePrivate
  - | FileCreateReplaceDestination
- data FileCopyFlags
  - = FileCopyNone
  - | FileCopyOverwrite
  - | FileCopyBackup
  - | FileCopyNofollowSymlinks
  - | FileCopyAllMetadata
  - | FileCopyNoFallbackForMove
  - | FileCopyTargetDefaultPerms
- data FileMonitorFlags
  - = FileMonitorNone
  - | FileMonitorWatchMounts
  - | FileMonitorSendMoved
  - | FileMonitorWatchHardLinks
  - | FileMonitorWatchMoves
- data FilesystemPreviewType
  - = FilesystemPreviewTypeIfAlways
  - | FilesystemPreviewTypeIfLocal
  - | FilesystemPreviewTypeNever
- data FileType
  - = FileTypeUnknown
  - | FileTypeRegular
  - | FileTypeDirectory
  - | FileTypeSymbolicLink
  - | FileTypeSpecial
  - | FileTypeShortcut
  - | FileTypeMountable
- data FileAttributeStatus
  - = FileAttributeStatusUnset
  - | FileAttributeStatusSet
  - | FileAttributeStatusErrorSetting
- data FileAttributeInfoFlags
  - = FileAttributeInfoNone
  - | FileAttributeInfoCopyWithFile
  - | FileAttributeInfoCopyWhenMoved
- data AskPasswordFlags
  - = AskPasswordNeedPassword
  - | AskPasswordNeedUsername
  - | AskPasswordNeedDomain
  - | AskPasswordSavingSupported
  - | AskPasswordAnonymousSupported
- data PasswordSave
  - = PasswordSaveNever
  - | PasswordSaveForSession
  - | PasswordSavePermanently
- data MountOperationResult
  - = MountOperationHandled
  - | MountOperationAborted
  - | MountOperationUnhandled
- data IOErrorEnum
  - = IoErrorFailed
  - | IoErrorNotFound
  - | IoErrorExists
  - | IoErrorIsDirectory
  - | IoErrorNotDirectory
  - | IoErrorNotEmpty
  - | IoErrorNotRegularFile
  - | IoErrorNotSymbolicLink
  - | IoErrorNotMountableFile
  - | IoErrorFilenameTooLong
  - | IoErrorInvalidFilename
  - | IoErrorTooManyLinks
  - | IoErrorNoSpace
  - | IoErrorInvalidArgument
  - | IoErrorPermissionDenied
  - | IoErrorNotSupported
  - | IoErrorNotMounted
  - | IoErrorAlreadyMounted
  - | IoErrorClosed
  - | IoErrorCancelled
  - | IoErrorPending
  - | IoErrorReadOnly
  - | IoErrorCantCreateBackup
  - | IoErrorWrongEtag
  - | IoErrorTimedOut
  - | IoErrorWouldRecurse
  - | IoErrorBusy
  - | IoErrorWouldBlock
  - | IoErrorHostNotFound
  - | IoErrorWouldMerge
  - | IoErrorFailedHandled
  - | IoErrorTooManyOpenFiles
  - | IoErrorNotInitialized
  - | IoErrorAddressInUse
  - | IoErrorPartialInput
  - | IoErrorInvalidData
  - | IoErrorDbusError
  - | IoErrorHostUnreachable
  - | IoErrorNetworkUnreachable
  - | IoErrorConnectionRefused
  - | IoErrorProxyFailed
  - | IoErrorProxyAuthFailed
  - | IoErrorProxyNeedAuth
  - | IoErrorProxyNotAllowed
  - | IoErrorBrokenPipe
  - | IoErrorConnectionClosed
  - | IoErrorNotConnected
  - | IoErrorMessageTooLarge
- data FileMonitorEvent
  - = FileMonitorEventChanged
  - | FileMonitorEventChangesDoneHint
  - | FileMonitorEventDeleted
  - | FileMonitorEventCreated
  - | FileMonitorEventAttributeChanged
  - | FileMonitorEventPreUnmount
  - | FileMonitorEventUnmounted
  - | FileMonitorEventMoved
  - | FileMonitorEventRenamed
  - | FileMonitorEventMovedIn
  - | FileMonitorEventMovedOut
- data MountMountFlags = MountMountNone
- data MountUnmountFlags
  - = MountUnmountNone
  - | MountUnmountForce
- data DriveStartFlags = DriveStartNone
- data DriveStartStopType
  - = DriveStartStopTypeUnknown
  - | DriveStartStopTypeShutdown
  - | DriveStartStopTypeNetwork
  - | DriveStartStopTypeMultidisk
  - | DriveStartStopTypePassword
- data EmblemOrigin
  - = EmblemOriginUnknown
  - | EmblemOriginDevice
  - | EmblemOriginLivemetadata
  - | EmblemOriginTag
- data AppInfoCreateFlags
  - = AppInfoCreateNone
  - | AppInfoCreateNeedsTerminal
  - | AppInfoCreateSupportsUris
  - | AppInfoCreateSupportsStartupNotification

# Enums

data FileQueryInfoFlags Source

Flags used when querying a `FileInfo`.

Constructors

FileQueryInfoNone |
FileQueryInfoNofollowSymlinks |

Instances

Bounded FileQueryInfoFlags Source |
Enum FileQueryInfoFlags Source | Flags used when an operation may create a file.
Eq FileQueryInfoFlags Source |
Ord FileQueryInfoFlags Source |
Show FileQueryInfoFlags Source |
Flags FileQueryInfoFlags Source |

data FileCreateFlags Source

Constructors

FileCreateNone |
FileCreatePrivate |
FileCreateReplaceDestination |

Instances

Bounded FileCreateFlags Source |
Enum FileCreateFlags Source |
Eq FileCreateFlags Source |
Ord FileCreateFlags Source |
Show FileCreateFlags Source |
Flags FileCreateFlags Source |

data FileCopyFlags Source

Flags used when copying or moving files.

Constructors

FileCopyNone |
FileCopyOverwrite |
FileCopyBackup |
FileCopyNofollowSymlinks |
FileCopyAllMetadata |
FileCopyNoFallbackForMove |
FileCopyTargetDefaultPerms |

Instances

Bounded FileCopyFlags Source |
Enum FileCopyFlags Source | Indicates a hint from the file system whether files should be previewed in a file manager. Returned as the value of the key `FileAttributeFilesystemUsePreview`.
Eq FileCopyFlags Source |
Ord FileCopyFlags Source |
Show FileCopyFlags Source |
Flags FileCopyFlags Source |

data FileMonitorFlags Source

Flags used to set what a `FileMonitor` will watch for.

Constructors

FileMonitorNone |
FileMonitorWatchMounts |
FileMonitorSendMoved |
FileMonitorWatchHardLinks |
FileMonitorWatchMoves |

Instances

Bounded FileMonitorFlags Source |
Enum FileMonitorFlags Source |
Eq FileMonitorFlags Source |
Ord FileMonitorFlags Source |
Show FileMonitorFlags Source |
Flags FileMonitorFlags Source |

data FilesystemPreviewType Source

Constructors

FilesystemPreviewTypeIfAlways |
FilesystemPreviewTypeIfLocal |
FilesystemPreviewTypeNever |

Instances

Bounded FilesystemPreviewType Source |
Enum FilesystemPreviewType Source |
Eq FilesystemPreviewType Source |
Ord FilesystemPreviewType Source |
Show FilesystemPreviewType Source |

data FileType Source

Indicates the file's on-disk type.

Constructors

FileTypeUnknown |
FileTypeRegular |
FileTypeDirectory |
FileTypeSymbolicLink |
FileTypeSpecial |
FileTypeShortcut |
FileTypeMountable |

Instances

Bounded FileType Source |
Enum FileType Source |
Eq FileType Source |
Ord FileType Source |
Show FileType Source |

data FileAttributeStatus Source

Used by `fileSetAttributesFromInfo` when setting file attributes.

Constructors

FileAttributeStatusUnset |
FileAttributeStatusSet |
FileAttributeStatusErrorSetting |

Instances

Bounded FileAttributeStatus Source |
Enum FileAttributeStatus Source |
Eq FileAttributeStatus Source |
Ord FileAttributeStatus Source |
Show FileAttributeStatus Source |

data FileAttributeInfoFlags Source

Flags specifying the behaviour of an attribute.

Constructors

FileAttributeInfoNone |
FileAttributeInfoCopyWithFile |
FileAttributeInfoCopyWhenMoved |

Instances

Bounded FileAttributeInfoFlags Source |
Enum FileAttributeInfoFlags Source | `AskPasswordFlags` are used to request specific information from the user, or to notify the user of their choices in an authentication situation.
Eq FileAttributeInfoFlags Source |
Ord FileAttributeInfoFlags Source |
Read FileAttributeInfoFlags Source |
Show FileAttributeInfoFlags Source |
Flags FileAttributeInfoFlags Source |

data AskPasswordFlags Source

Constructors

AskPasswordNeedPassword |
AskPasswordNeedUsername |
AskPasswordNeedDomain |
AskPasswordSavingSupported |
AskPasswordAnonymousSupported |

Instances

Bounded AskPasswordFlags Source |
Enum AskPasswordFlags Source | `MountOperationResult` is returned as a result when a request for information is send by the mounting operation.
Eq AskPasswordFlags Source |
Ord AskPasswordFlags Source |
Show AskPasswordFlags Source |
Flags AskPasswordFlags Source |

data PasswordSave Source

`PasswordSave` is used to indicate the lifespan of a saved password.

Constructors

PasswordSaveNever |
PasswordSaveForSession |
PasswordSavePermanently |

Instances

Bounded PasswordSave Source |
Enum PasswordSave Source |
Eq PasswordSave Source |
Ord PasswordSave Source |
Show PasswordSave Source |

data MountOperationResult Source

Constructors

MountOperationHandled |
MountOperationAborted |
MountOperationUnhandled |

Instances

Bounded MountOperationResult Source |
Enum MountOperationResult Source |
Eq MountOperationResult Source |
Ord MountOperationResult Source |
Show MountOperationResult Source |

data IOErrorEnum Source

Error codes returned by GIO functions.

Constructors

IoErrorFailed |
IoErrorNotFound |
IoErrorExists |
IoErrorIsDirectory |
IoErrorNotDirectory |
IoErrorNotEmpty |
IoErrorNotRegularFile |
IoErrorNotSymbolicLink |
IoErrorNotMountableFile |
IoErrorFilenameTooLong |
IoErrorInvalidFilename |
IoErrorTooManyLinks |
IoErrorNoSpace |
IoErrorInvalidArgument |
IoErrorPermissionDenied |
IoErrorNotSupported |
IoErrorNotMounted |
IoErrorAlreadyMounted |
IoErrorClosed |
IoErrorCancelled |
IoErrorPending |
IoErrorReadOnly |
IoErrorCantCreateBackup |
IoErrorWrongEtag |
IoErrorTimedOut |
IoErrorWouldRecurse |
IoErrorBusy |
IoErrorWouldBlock |
IoErrorHostNotFound |
IoErrorWouldMerge |
IoErrorFailedHandled |
IoErrorTooManyOpenFiles |
IoErrorNotInitialized |
IoErrorAddressInUse |
IoErrorPartialInput |
IoErrorInvalidData |
IoErrorDbusError |
IoErrorHostUnreachable |
IoErrorNetworkUnreachable |
IoErrorConnectionRefused |
IoErrorProxyFailed |
IoErrorProxyAuthFailed |
IoErrorProxyNeedAuth |
IoErrorProxyNotAllowed |
IoErrorBrokenPipe |
IoErrorConnectionClosed |
IoErrorNotConnected |
IoErrorMessageTooLarge |

Instances

Bounded IOErrorEnum Source |
Enum IOErrorEnum Source |
Eq IOErrorEnum Source |
Ord IOErrorEnum Source |
Show IOErrorEnum Source |

data FileMonitorEvent Source

Specifies what type of event a monitor event is.

Constructors

FileMonitorEventChanged |
FileMonitorEventChangesDoneHint |
FileMonitorEventDeleted |
FileMonitorEventCreated |
FileMonitorEventAttributeChanged |
FileMonitorEventPreUnmount |
FileMonitorEventUnmounted |
FileMonitorEventMoved |
FileMonitorEventRenamed |
FileMonitorEventMovedIn |
FileMonitorEventMovedOut |

Instances

Bounded FileMonitorEvent Source |
Enum FileMonitorEvent Source |
Eq FileMonitorEvent Source |
Ord FileMonitorEvent Source |
Show FileMonitorEvent Source |

data MountMountFlags Source

Flags used when mounting a mount.

Constructors

MountMountNone |

Instances

Bounded MountMountFlags Source |
Enum MountMountFlags Source |
Eq MountMountFlags Source |
Ord MountMountFlags Source |
Show MountMountFlags Source |
Flags MountMountFlags Source |

data MountUnmountFlags Source

Flags used when an unmounting a mount.

Constructors

MountUnmountNone |
MountUnmountForce |

Instances

Bounded MountUnmountFlags Source |
Enum MountUnmountFlags Source |
Eq MountUnmountFlags Source |
Ord MountUnmountFlags Source |
Show MountUnmountFlags Source |
Flags MountUnmountFlags Source |

data DriveStartFlags Source

Flags used when starting a drive.

Constructors

DriveStartNone |

Instances

Bounded DriveStartFlags Source |
Enum DriveStartFlags Source |
Eq DriveStartFlags Source |
Ord DriveStartFlags Source |
Show DriveStartFlags Source |
Flags DriveStartFlags Source |

data DriveStartStopType Source

Enumeration describing how a drive can be started/stopped.

Constructors

DriveStartStopTypeUnknown |
DriveStartStopTypeShutdown |
DriveStartStopTypeNetwork |
DriveStartStopTypeMultidisk |
DriveStartStopTypePassword |

Instances

Bounded DriveStartStopType Source |
Enum DriveStartStopType Source |
Eq DriveStartStopType Source |
Ord DriveStartStopType Source |
Show DriveStartStopType Source |

data EmblemOrigin Source

`EmblemOrigin` is used to add information about the origin of the emblem to `Emblem`.

Constructors

EmblemOriginUnknown |
EmblemOriginDevice |
EmblemOriginLivemetadata |
EmblemOriginTag |

Instances

Bounded EmblemOrigin Source |
Enum EmblemOrigin Source |
Eq EmblemOrigin Source |
Ord EmblemOrigin Source |
Show EmblemOrigin Source |

data AppInfoCreateFlags Source

Flags used when creating a `AppInfo`.

Constructors

AppInfoCreateNone |
AppInfoCreateNeedsTerminal |
AppInfoCreateSupportsUris |
AppInfoCreateSupportsStartupNotification |

Instances

Bounded AppInfoCreateFlags Source |
Enum AppInfoCreateFlags Source |
Eq AppInfoCreateFlags Source |
Ord AppInfoCreateFlags Source |
Show AppInfoCreateFlags Source |
Flags AppInfoCreateFlags Source |